version: "3"
services:
  eureka1:
    image: 192.168.2.236:5000/diagbotcloud/eureka-server:0.0.1-SNAPSHOT
    hostname: eureka1
    ports:
      - "8761:8761"
    volumes:
    - "/etc/localtime:/etc/localtime:ro"
#      - "data/diagbotcloud/logs:/logs"
    environment:
      - spring.profiles.active=dev
    restart: always
  config1:
    image: 192.168.2.236:5000/diagbotcloud/config-server:0.0.1-SNAPSHOT
    hostname: config1
#    ports:
#      - "8769:8769"
    volumes:
    - "/etc/localtime:/etc/localtime:ro"
#      - "data/diagbotcloud/logs:/logs"
    environment:
      - myuri=eureka1
#      - spring.rabbitmq.host=192.168.2.236
#      - spring.rabbitmq.username=lantone
#      - spring.rabbitmq.password=lantone
    depends_on:
      - eureka1
    restart: always
  uaa-service:
    image: 192.168.2.236:5000/diagbotcloud/uaa-service:0.0.1-SNAPSHOT
    depends_on:
#      - config1
      - eureka1
    volumes:
    - "/etc/localtime:/etc/localtime:ro"
#      - "data/diagbotcloud/logs:/logs"
    environment:
      - spring.profiles.active=dev
      - myuri=eureka1
    restart: always
  user-service:
    image: 192.168.2.236:5000/diagbotcloud/user-service:0.0.1-SNAPSHOT
    depends_on:
#      - config1
      - eureka1
    volumes:
    - "/etc/localtime:/etc/localtime:ro"
#      - "data/diagbotcloud/logs:/logs"
    environment:
      - spring.profiles.active=dev
      - myuri=eureka1
    restart: always
  diagbotman-service:
    image: 192.168.2.236:5000/diagbotcloud/diagbotman-service:0.0.1-SNAPSHOT
    depends_on:
#      - config1
      - eureka1
    volumes:
    - "/etc/localtime:/etc/localtime:ro"
#      - "data/diagbotcloud/logs:/logs"
    environment:
      - spring.profiles.active=dev
      - myuri=eureka1
    restart: always
  log-service:
    image: 192.168.2.236:5000/diagbotcloud/log-service:0.0.1-SNAPSHOT
    depends_on:
#      - config1
      - eureka1
    volumes:
    - "/etc/localtime:/etc/localtime:ro"
#      - "data/diagbotcloud/logs:/logs"
    environment:
      - spring.profiles.active=dev
      - myuri=eureka1
    restart: always
  monitor-service:
    image: 192.168.2.236:5000/diagbotcloud/monitor-service:0.0.1-SNAPSHOT
    depends_on:
#      - config1
      - eureka1
#      - user-service
#      - log-service
    volumes:
    - "/etc/localtime:/etc/localtime:ro"
#      - "data/diagbotcloud/logs:/logs"
    ports:
      - "8766:8766"
    environment:
      - spring.profiles.active=dev
      - myuri=eureka1
    restart: always
  admin-service:
    image: 192.168.2.236:5000/diagbotcloud/admin-service:0.0.1-SNAPSHOT
    depends_on:
#      - config1
      - eureka1
    volumes:
    - "/etc/localtime:/etc/localtime:ro"
#      - "data/diagbotcloud/logs:/logs"
    ports:
      - "9998:9998"
    environment:
      - spring.profiles.active=dev
      - myuri=eureka1
    restart: always
  gateway-service:
    image: 192.168.2.236:5000/diagbotcloud/gateway-service:0.0.1-SNAPSHOT
#    depends_on:
#      - config1
#      - user-service
#      - log-service
    volumes:
    - "/etc/localtime:/etc/localtime:ro"
#      - "data/diagbotcloud/logs:/logs"
    ports:
      - "5050:5050"
    environment:
      - spring.profiles.active=dev
      - myuri=eureka1
    restart: always
  triage-service:
    image: 192.168.2.236:5000/diagbotcloud/triage-service:0.0.1-SNAPSHOT
    depends_on:
    #      - config1
    - eureka1
    volumes:
    - "/etc/localtime:/etc/localtime:ro"
    #      - "data/diagbotcloud/logs:/logs"
    environment:
    - spring.profiles.active=dev
    - myuri=eureka1
    restart: always
  icss-service:
    image: 192.168.2.236:5000/diagbotcloud/icss-service:0.0.1-SNAPSHOT
    depends_on:
    #      - config1
    - eureka1
    volumes:
    - "/etc/localtime:/etc/localtime:ro"
    #      - "data/diagbotcloud/logs:/logs"
    environment:
    - spring.profiles.active=dev
    - myuri=eureka1
    restart: always
  icssman-service:
    image: 192.168.2.236:5000/diagbotcloud/icssman-service:0.0.1-SNAPSHOT
    depends_on:
    #      - config1
    - eureka1
    volumes:
    - "/etc/localtime:/etc/localtime:ro"
    #      - "data/diagbotcloud/logs:/logs"
    environment:
    - spring.profiles.active=dev
    - myuri=eureka1
    restart: always